<ion-header>
  <ion-toolbar>
    <ion-buttons slot="start">
      <ion-button (click)="navigateBack()">
        <ion-icon slot="icon-only" name="arrow-back"></ion-icon>
      </ion-button>
    </ion-buttons>
    <ion-title>Sales</ion-title>
  </ion-toolbar>
</ion-header>

<ion-content class="page-background">
  <ion-grid class="ion-no-padding">
    <ion-row class="ion-no-padding">
      <ion-col class="ion-no-padding">
        <ion-card>
          <ion-card-header>
            <ion-row class="align">
              <ion-col>
                <ion-card-title>
                  <ion-text color="tertiary">
                    Sales Invoices
                  </ion-text>
                </ion-card-title>
              </ion-col>
              <ion-col class="ion-text-right">
                <ion-button
                  color="tertiary"
                  [routerLink]="['/add-sales-invoice', 'add']"
                >
                  Add
                </ion-button>
              </ion-col>
            </ion-row>
          </ion-card-header>
          <div class="loading-shade" *ngIf="dataSource.loading$ | async">
            <mat-progress-bar
              *ngIf="dataSource.loading$ | async"
              mode="indeterminate"
            ></mat-progress-bar>
          </div>
          <ion-card-content class="ion-no-padding">
            <div class="search-models">
              <mat-form-field class="full-width">
                <input
                  matInput
                  placeholder="Search"
                  [(ngModel)]="search"
                  (keyup.enter)="setFilter()"
                />
                <button mat-button matSuffix (click)="setFilter()">
                  <mat-icon>search</mat-icon>
                </button>
              </mat-form-field>
            </div>
            <table
              mat-table
              class="full-width-table"
              [dataSource]="dataSource"
              matSort
              aria-label="Elements"
              style="width: 100%;"
            >
              <!-- serial_no Column -->
              <ng-container matColumnDef="customer">
                <th
                  mat-header-cell
                  *matHeaderCellDef
                  mat-sort-header
                  (click)="setFilter()"
                >
                  Title
                </th>
                <td mat-cell *matCellDef="let row">
                  {{row.customer}}
                </td>
              </ng-container>

              <!-- UUID Column -->
              <ng-container matColumnDef="status">
                <th mat-header-cell *matHeaderCellDef>Status</th>
                <td mat-cell *matCellDef="let row">
                  <ion-text color="success" *ngIf="row.submitted">
                    Submitted
                  </ion-text>
                  <ion-text *ngIf="!row.submitted" color="danger">
                    Draft
                  </ion-text>
                </td>
              </ng-container>

              <ng-container matColumnDef="total">
                <th
                  mat-header-cell
                  *matHeaderCellDef
                  mat-sort-header
                  (click)="setFilter()"
                >
                  Total
                </th>
                <td mat-cell *matCellDef="let row">
                  ₹ {{row.total}}
                </td>
              </ng-container>

              <tr
                mat-header-row
                *matHeaderRowDef="displayedColumns; sticky: true"
              ></tr>
              <tr
                mat-row
                *matRowDef="let row; columns: displayedColumns;"
                [routerLink]="['/'+'view-sales-invoice',row.uuid]"
              ></tr>
            </table>

            <mat-card-actions>
              <mat-paginator
                #paginator
                class="mat-paginator-sticky"
                (page)="getUpdate($event)"
                [pageIndex]="paginator.pageIndex"
                [length]="dataSource.length"
                [pageSizeOptions]="[10, 50, 100, 500]"
              >
              </mat-paginator>
            </mat-card-actions>
          </ion-card-content>
        </ion-card>
      </ion-col>
    </ion-row>
  </ion-grid>
</ion-content>
